.text-carousel {
  width: 99.5%;
  overflow: hidden;
  position: relative;
  background: var(--card-bg);
  border: 1px solid var(--card-border);
  border-radius: 12px;
    overflow-y: auto;

  max-height: 700px;
}

.carousel-track {
  display: flex;
  transition: transform 0.5s ease-in-out;
}

.carousel-slide {
  min-width: 100%;
  display: flex;
  align-items: center; /* Vertically centers the content */
  box-sizing: border-box;
  padding: 40px;
    overflow-y: auto;
max-height: 700px;
}

.column-left {
    overflow-y: auto;
    max-height: 500px;
}

.column-left, .column-right {
  flex: 1;
  padding: 20px;
}

.column-rightVar {
    overflow-y: auto;
    max-height: 500px;
}

.column-rightVar, .rightVar-right {
  flex: 1;
  padding: 20px;
}


.column-right {
  display: flex;
  justify-content: center;
  align-items: center;

}

.column-right img {
  max-width: 100%;
  height: auto;
}

/* Responsive Logic */
@media (max-width: 768px) {
  .text-carousel {
    max-height: 650px;
    overflow-y: auto;
  }

  .carousel-slide {
    flex-direction: column; /* Image top, text bottom */
    padding: 8px;
  }

  .column-right {
    order: 1; /* Moves image to top */
    margin-top: 8px;
    margin-bottom: 8px;
    padding-top: 8px;
    padding-bottom: 8px;
  }

  .column-left {
    order: 2; /* Moves text to bottom */
  }
}

.cta-buttonSC {
  display: inline-flex;
  align-items: center;
  justify-content: center;
  background-color: var(--button-bg);
  color: var(--button-text-color);
  border: 1px solid var(--button-border);
  padding: var(--button-padding-vertical) var(--button-padding-horizontal);
  border-radius: 24px;
  text-decoration: none;
  font-size: var(--font-size-cta-mobile);
  margin-top: 4px;
  height: var(--button-height);
  transition: background-color 0.3s, color 0.3s, border-color 0.3s, opacity 0.3s ease-out;
}

.cta-buttonSC.dissolve {
  opacity: 0.5;
}

.cta-buttonSC:hover {
  background-color: var(--button-hover-color);
  color: var(--button-text-color);
  border-color: var(--border-color);
}

